commit:     e24b345d90ccfbf71a496e35dd0990c3d3aa94d3
Author:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 20 19:38:32 2014 +0000
Commit:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Sun Apr 20 22:54:58 2014 +0000
URL:        
http://git.overlays.gentoo.org/gitweb/?p=proj/gnome.git;a=commit;h=e24b345d

app-editors/gedit-plugins: 3.10.1 → 3.12.1

---
 .../gedit-plugins/gedit-plugins-3.12.1.ebuild      | 81 ++++++++++++++++++++++
 1 file changed, 81 insertions(+)

diff --git a/app-editors/gedit-plugins/gedit-plugins-3.12.1.ebuild 
b/app-editors/gedit-plugins/gedit-plugins-3.12.1.ebuild
new file mode 100644
index 0000000..f7eadf3
--- /dev/null
+++ b/app-editors/gedit-plugins/gedit-plugins-3.12.1.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="5"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes" # plugins are dlopened
+PYTHON_COMPAT=( python3_{2,3} )
+PYTHON_REQ_USE="xml"
+
+inherit eutils gnome2 multilib python-r1
+
+DESCRIPTION="Official plugins for gedit"
+HOMEPAGE="https://wiki.gnome.org/Apps/Gedit/ShippedPlugins";
+
+LICENSE="GPL-2+"
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+
+IUSE_plugins="charmap git terminal"
+IUSE="+python ${IUSE_plugins}"
+REQUIRED_USE="
+       charmap? ( python )
+       git? ( python )
+       terminal? ( python )
+       python? ( ${REQUIRED_PYTHON_USE} )
+"
+
+RDEPEND="
+       >=app-editors/gedit-3.11.3[python?]
+       >=dev-libs/glib-2.32:2
+       >=dev-libs/libpeas-1.7.0[gtk,python?]
+       >=x11-libs/gtk+-3.9:3
+       >=x11-libs/gtksourceview-3.9.2:3.0
+       python? (
+               ${PYTHON_DEPS}
+               >=app-editors/gedit-3[introspection,${PYTHON_USEDEP}]
+               dev-libs/libpeas[${PYTHON_USEDEP}]
+               >=dev-python/dbus-python-0.82[${PYTHON_USEDEP}]
+               dev-python/pycairo[${PYTHON_USEDEP}]
+               dev-python/pygobject:3[cairo,${PYTHON_USEDEP}]
+               >=x11-libs/gtk+-3.9:3[introspection]
+               >=x11-libs/gtksourceview-3.9.2:3.0[introspection]
+               x11-libs/pango[introspection]
+               x11-libs/gdk-pixbuf:2[introspection]
+       )
+       charmap? ( >=gnome-extra/gucharmap-3:2.90[introspection] )
+       git? ( >=dev-libs/libgit2-glib-0.0.6 )
+       terminal? ( x11-libs/vte:2.90[introspection] )
+"
+DEPEND="${RDEPEND}
+       >=dev-util/intltool-0.40.0
+       sys-devel/gettext
+       virtual/pkgconfig
+"
+
+src_configure() {
+       gnome2_src_configure \
+               $(use_enable python) \
+               ITSTOOL=$(type -P true)
+}
+
+src_install() {
+       gnome2_src_install
+
+       # FIXME: crazy !!!
+       find "${ED}"/usr/share/gedit -name "*.py*" -delete || die
+       find "${ED}"/usr/share/gedit -type d -empty -delete || die
+
+       # FIXME: upstream made this automagic...
+       clean_plugin charmap
+       clean_plugin git
+       clean_plugin terminal
+}
+
+clean_plugin() {
+       if use !${1} ; then
+               rm -rf "${ED}"/usr/share/gedit/plugins/${1}*
+               rm -rf "${ED}"/usr/$(get_libdir)/gedit/plugins/${1}*
+       fi
+}

Reply via email to